<?php
/*
Plugin Name: Paginator
Plugin URI: http://dzhus.com/development/paginator/
Description: Adds "paginator3000" paging navigation to your WordPress blog.
Version: 0.2
Author: dzhus
Author URI: http://blog.dzhus.com
*/


/*  
    Copyright 2008  Olzhas Murtazin  (email : dzhusi@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

# Function: Paginator Option Menu
add_action('admin_menu', 'paginator_menu');
function paginator_menu() {
	if (function_exists('add_options_page')) {
		add_options_page(__('Paginator', 'paginator'), __('Paginator', 'paginator'), 'manage_options', 'paginator/options.php') ;
	}
}

# Function: Paginator skin and javascript
add_action('wp_head', 'paginator_sources');
function paginator_sources() {
	echo "\n".'<!-- Start Of Script Generated By Paginator 0.2 -->'."\n";
	if(@file_exists(TEMPLATEPATH.'/paginator3000.css')) {
		echo '<link rel="stylesheet" href="'.get_stylesheet_directory_uri().'/paginator3000.css" type="text/css" media="screen" />'."\n";	
	} else {
		echo '<link rel="stylesheet" href="'.get_option('siteurl').'/wp-content/plugins/paginator/skin/paginator3000.css" type="text/css" media="screen" />'."\n";
	}	
	echo('<script type="text/javascript" src="'.get_option('siteurl').'/wp-content/plugins/paginator/js/paginator3000.js" ></script>'."\n"); 
	echo '<!-- End Of Script Generated By Paginator 0.2 -->'."\n";
}

# Function: Create Paginator
function wp_paginator() {
	global $wp_query;
	if (!is_single()) {
		$paged = intval(get_query_var('paged'));
		$paginator_options = get_option('paginator_options');
		$max_page = $wp_query->max_num_pages;
		$pages_to_show = intval($paginator_options['num_pages']);
		$display_total=intval($paginator_options['display_total']);
		
		if(empty($paged) || $paged == 0 || $paged < 0) {
			$paged = 1;
		}
		echo('<div class="paginator" id="paginator"></div>');
		
		if($display_total==1){
			echo('<div class="paginator_pages">'.$max_page.' pages</div>');
		}
		
		echo(
			'<script type="text/javascript">
				pag = new Paginator("paginator",' . $wp_query->max_num_pages . ',' . $pages_to_show . ',' . $paged . ',"' . get_option('siteurl'). '/?paged=");
			</script>');
	}
}
?>